#ifndef _USERDATA_H
#define _USERDATA_H

#include <sys/time.h>

#include "rtp.h"

#define WINDOW_MAX 100		// maximum packets in analysis table
#define WINDOW_SIZE 5000	// size of analysing window (ms)

class UserData
{
private:
        unsigned int get_time_stamp();
  
	unsigned int last_ts;
	unsigned int last_seq;
	unsigned int first_time;
	
	unsigned int timestamps[WINDOW_MAX];
	int sizes[WINDOW_MAX];
	int pos;

	static unsigned int start_seconds;
	static int first;

public:
	int latency;
	int frames_received;
	int frames_lost;
	int frames_late;
	int bytes;

	UserData(RTPheader *hdr, int size);
	int frame(RTPheader *hdr, int size);
	int getPercentLost();
	double getKbps();
	double getFps();
	void reset();
	int getPercentLate();
	double getLatency();

};


#endif
